/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that displays the current locale setting.*/
#include <locale.h>
#include <stdio.h>

int main() {
        double d = 123;

        /* for French with demical point of ',', it will display 
           d = 123,000000 */
        printf("local locale is %s\n", setlocale(LC_ALL,""));
/* or
#pragma exec setlocale(0,"");
*/
        printf("d = %f\n", d);

        printf("local locale is %s\n", setlocale(LC_ALL,"C"));
        printf("d = %f\n", d);
}
